#ifndef QUIZ_H
#define QUIZ_H

#include "ui_quiz.h"
#include "controller.h"
#include "cancelwindow.h"
#include "time.h"
#include <QtWidgets>
#include <QtGui>

class Controller;

class Quiz : public QWidget, private Ui::Quiz
{
  Q_OBJECT
  private:
    Controller *controller;
    QList< int > questionIds;
    int currentQuestionNumber;
    int trueAnsweredQuestions;
    bool isAnswerExplanationWidgetShown;
    int totalTime;
  public:
    explicit Quiz( Controller *controller, QWidget *parent = 0 );
    ~Quiz( void );
  public slots:
    void nextStep( void );
    void nextQuestion( void );
    void checkQuestion( void );
};

#endif // QUIZ_H
